#include-once
;
; AutoIt Version: 3.0
; Language:       English
; Platform:       Win9x/NT
; Author:         Michael W. Bayley
;
; Script Function:
;  TrayURL INI File Definitions & Functions
;
;  Global Strings & Variables

;
; Dependancies
;
; <None> 


; Global string values

; INI Filename
$IniFile = @ScriptDir
If StringRight($IniFile, 1) == "\" Then
   $IniFile = $IniFile & "TrayURL.ini"
Else
   $IniFile = $IniFile & "\" & "TrayURL.ini"
EndIf

; INI File Sections
$IniProgram = "TrayURL"
$IniPasterSection = "Paster"
$IniCatSection = "Categories"
$IniCatMain = "Main"

; INI File Program Keys
$IniTag = "ProgramID"
$IniMajor = "MajorVersion"
$IniMinor = "MinorVersion"
$IniBrowserType = "BrowserType"
$IniBrowserTitle = "BrowserTitle"
$IniBrowserProgram = "BrowserProgram"
$IniBrowserWindowClass = "BrowserWindowClass"
$IniBrowserInputID = "BrowserInputID"
$IniWarnCatDelete = "WarnCategoryDelete"
$IniWarnUrlDelete = "WarnUrlDelete"
$IniWarnOverwriteCopy = "WarnOverwriteCopy"
$IniWarnOverwriteMove = "WarnOverwriteMove"
$IniWarnOverwriteAdd = "WarnOverwriteAdd"
$IniWarnOverwriteEdit = "WarnOverwriteEdit"

$IniCatMax = "MaxCategories"
$IniUrlMax = "MaxItems"

$IniKeyEnable = "KeyEnable"
$IniKeyTimeout = "KeyTimeout"

; INI File Browser Values
$IniBrowserTypeDefault = "Default"
$IniBrowserTypeMSIE = "MSIE"
$IniBrowserTypeFirefox = "Firefox"
$IniBrowserTypeOther = "Other"

; TrayUrlPaster Values
$IniPasterEnable = "PasterEnabled"
$IniLoginHotKey = "LoginHotKey"
$IniPaswdHotKey = "PasswordHotKey"
$IniExitHotKey = "ExitHotKey"

; INI File URL & Category Section Keys (Old)
$IniItems = "Items"
$IniItem = "Item"
$IniName = "Name"
$IniURL = "URL"
$IniLogin = "Login"
$IniPaswd = "Password"
$IniFlags = "Flags"
$IniDate = "Date"

; INI File URL & Category Section Keys (New)
$RECITEMS = 6
$RECSEP = Chr(187)
$RECCOUNT = 0
$RECNAME = 1
$RECURL = 2
$RECLOGIN = 3
$RECPASWD = 4
$RECFLAGS = 5
$RECDATE = 6

